{
 Пример использования модуля алгоритмов (algo1.pp).
 Требуется робот-пятиминутка, датчик гироскопа и средний мотор.

 Робот запускает параллельную процедуру прямолинейного движения с помощью
 гироскопа. Во время выполнения параллельного движения запускаются два
 последовательных вращения среднего мотора в противоположные стороны.
 По окончании последовательных действий робот дожидается завершения
 параллельной процедуры, проигрывает небольшую мелодию и завершает программу.

}

{$i rubiro.inc}

uses rubiroBase,
     rubiroSensors,
     rubiroMotors,
     rubiroParallel,
     rubiroSound,
     rubiroAlgo;

var thread:dword;
begin
 ev3init();
 ev3gyro.calibrate;
 thread:=parallel(@RunGyroDirectDistanceForParallel,[0,20,1000]);
 ev3mmotor.RunTime(1000,30).wait;
 ev3mmotor.RunTime(1000,-30).wait;
 parallelWait(thread);
 ev3sound.beep(signal1).wait();
end.
